# CdSalc

class `psi4.core.``CdSalc`

  Bases: `pybind11_builtins.pybind11_object`

  Cartesian displacement SALC

  Methods Summary

  `irrep`(self) | Return the irrep bit representation
  `irrep_index`(self) | Return the irrep index
  `print_out`(self) | Print the irrep index and the coordinates of the SALC of Cartesian displacements.

  Methods Documentation

  `irrep`(self: psi4.core.CdSalc) → str

    Return the irrep bit representation

  `irrep_index`(self: psi4.core.CdSalc) → int

    Return the irrep index

  `print_out`(self: psi4.core.CdSalc) → None

    Print the irrep index and the coordinates of the SALC of Cartesian displacements. Irrep index is 0-indexed and Cotton ordered.

  `irrep`(self: psi4.core.CdSalc) → str

    Return the irrep bit representation

  `irrep_index`(self: psi4.core.CdSalc) → int

    Return the irrep index

  `print_out`(self: psi4.core.CdSalc) → None

    Print the irrep index and the coordinates of the SALC of Cartesian displacements. Irrep index is 0-indexed and Cotton ordered.